@ECHO OFF
"\Flash Disk\reg.exe" /d
IF ERRORLEVEL 0 GOTO Update
@ECHO Registry Backup Error: Plase contact technical support.
GOTO Exit

:Update
\windows\bspupdate.exe "\temp\nk.nb0"
IF ERRORLEVEL 0 GOTO Restart
@ECHO BSP Update Error: Plase contact technical support.
@del /F "\Flash Disk\Restore.tmp"
@del /F "\Flash Disk\reg.exe"
@del /F "\Flash Disk\xsettings.xml"
@del /F "\Temp\nk.nb0"
GOTO Exit

:Restart
ren "\Flash Disk\Restore.tmp" "Restore.bat" 
\windows\restart.exe
GOTO Exit

:Exit
@ECHO ON